summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-05-03 13:52:50 -0500
committerAustin English <wizardedit@gentoo.org>2016-05-03 14:17:01 -0500
commit1cae73b27b17f7b64ed6cf0fe9ca47b0fbe60a81 (patch)
treed996aefd0f7dc3bd4362717cbb82b50f50663b2c /net-proxy/cntlm
parentnet-proxy/bfilter: remove old version (diff)
downloadgentoo-1cae73b27b17f7b64ed6cf0fe9ca47b0fbe60a81.tar.gz
gentoo-1cae73b27b17f7b64ed6cf0fe9ca47b0fbe60a81.tar.bz2
gentoo-1cae73b27b17f7b64ed6cf0fe9ca47b0fbe60a81.zip
net-proxy/cntlm: use #!/sbin/openrc-run instead of #!/sbin/runscript
Gentoo-Bug: https://bugs.gentoo.org/573846 Package-Manager: portage-2.2.26
Diffstat (limited to 'net-proxy/cntlm')
-rw-r--r--net-proxy/cntlm/cntlm-0.93_beta5-r2.ebuild57
-rw-r--r--net-proxy/cntlm/files/cntlm.initd4
2 files changed, 59 insertions, 2 deletions
diff --git a/net-proxy/cntlm/cntlm-0.93_beta5-r2.ebuild b/net-proxy/cntlm/cntlm-0.93_beta5-r2.ebuild
new file mode 100644
index 00000000000..bd7cbb177ab
--- /dev/null
+++ b/net-proxy/cntlm/cntlm-0.93_beta5-r2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils systemd toolchain-funcs user
+
+DESCRIPTION="Cntlm is an NTLM/NTLMv2 authenticating HTTP proxy"
+HOMEPAGE="http://cntlm.sourceforge.net/"
+SRC_URI="http://ftp.awk.cz/pub/${P//_}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+S="${WORKDIR}/${P//_}"
+
+src_prepare() {
+ eapply -p0 "${FILESDIR}"/${P}-buildsystem.patch # 334647
+
+ default
+}
+
+src_configure() {
+ tc-export CC
+
+ econf
+
+ # Replace default config file path in Makefile
+ sed -i -e 's~SYSCONFDIR=/usr/local/etc~SYSCONFDIR=/etc~' \
+ "${S}"/Makefile || die "sed failed"
+}
+
+src_compile() {
+ emake V=1
+}
+
+src_install() {
+ dobin cntlm
+ dodoc COPYRIGHT README VERSION doc/cntlm.conf
+ doman doc/cntlm.1
+ newinitd "${FILESDIR}"/cntlm.initd cntlm
+ newconfd "${FILESDIR}"/cntlm.confd cntlm
+ systemd_dounit "${FILESDIR}"/cntlm.service
+ insinto /etc
+ insopts -m0600
+ doins doc/cntlm.conf
+}
+
+pkg_postinst() {
+ enewgroup cntlm
+ enewuser cntlm -1 -1 -1 cntlm
+}
diff --git a/net-proxy/cntlm/files/cntlm.initd b/net-proxy/cntlm/files/cntlm.initd
index daa19e32313..6ebe8381442 100644
--- a/net-proxy/cntlm/files/cntlm.initd
+++ b/net-proxy/cntlm/files/cntlm.initd
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$